Subject: Re: [PATCH] dp83640: Support a configurable number of periodic outputs

From: Richard Cochran <[email-masked]>
Date: Tue, 4 Feb 2014 16:43:23 +0100

On Tue, Feb 04, 2014 at 03:24:27PM +0000, Sørensen, Stefan wrote:
> 
> I would definitely prefer the DT approach. On all the platforms I have
> used, the GPIO configuration has been set in stone by the HW. But there
> might be some dev boards or the like that has them configurable.

I think DT is fine for the initial configuration, but the ethtool way
will still be needed in at least two cases.

1. Platform has no DT at all.
2. User wants to change the function at run time.

Thanks,
Richard